<?php
/**
* モジュールグラフ設定例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_ModuleGraphConfigException extends charcoal_Exception
{
	public function __construct( $config_key, $msg )
	{
		$message = "[config_key] $config_key";
		if ( $message ){
			$message .= " [message] $msg";
		}

		parent::__construct( $message );
	}

}
